Subject: Re: Getting rid of Diatomacious Earth

From: [email-masked] (Sheldon North)
Date: Tue, 12 Apr 1994 05:47:23 GMT

Mike Killoran ([email-masked]) wrote:

: I read somewhere that it is just crushed shells of some ancient 
: crustacean but I'm not sure about this.  If it is just crushed

Yes, just the endoskeltons of diatoms.  It is primarily silicon
dioxide (aka glass, sand) and was also used to stabilize
nitroglycerine (Nobel dynamite).

: shells, I would think it would be OK to dump it in the compost
: pile or sprinkle it around in the woods.  I'd rather not have
: it hauled away to a landfill if it is benign enough for the 
: backyard.

I would expect that it would be great for soil/compost because it
has a lot of surface area and thus should help drainage and
gas-exchange.  I doubt it would help nutrient holding capacity,
but it isn't likely to hurt it either.

Sheldon